# Webview

The `<webview>` element allows you to embed external content (e.g. a web page) 
in your [Chrome app][webview].  The `<iframe>` element is disabled in Chrome 
apps, and this is its replacement.  Contrary to an `<iframe>`, a `Webview` 
displays its content in a separate process.  This provides extra security and 
its storage is isolated from the application.  You may obtain the `Webview`'s 
`contentWindow` and use this for bidirectional communication via `postMessage`.

_Webview uses the MIT license as described in the [LICENSE][license] file, and 
follows [semantic versioning][]._

[article]: http://rmsmith.github.com/2013/01/25/webview.html
[browser]: https://github.com/rmsmith/webview/tree/master/example/browser
[dart]: http://www.dartlang.org/
[license]: https://github.com/rmsmith/webview/blob/master/LICENSE
[messaging]: https://github.com/rmsmith/webview/tree/master/example/messaging
[semantic versioning]: http://semver.org/
[webview]: https://developer.chrome.com/trunk/apps/webview_tag.html
